using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace KstCMS.DAL
{
    public interface IRole
    {
        int Add(KstCMS.Model.SiteModel.AdminRole Model);
        void Delete(int RoleId);
        void Update(string[] FieldValues,int RoleId,params string[] FieldNames);
        System.Data.DataSet GetList(params string[] FieldNames);
        KstCMS.Model.SiteModel.AdminRole GetMode(int RoleId);
    }
}
